import { html as f } from "lit";
import { property as n } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as a } from "@justeattakeaway/pie-webc-core";
var v = Object.defineProperty, m = Object.getOwnPropertyDescriptor, l = (p, t, s, r) => {
  for (var e = r > 1 ? void 0 : r ? m(t, s) : t, c = p.length - 1, o; c >= 0; c--)
    (o = p[c]) && (e = (r ? o(t, s, e) : o(e)) || e);
  return r && e && v(t, s, e), e;
};
let i = class extends h {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--firstDirect", this.class = "c-pieIcon c-pieIcon--firstDirect", this.name = "IconPaymentFirstDirect";
  }
  render() {
    return f`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 24 24" class="c-pieIcon c-pieIcon--firstDirect"><path fill="#000" d="M4.5 9.274v1.583h1.405v6.874H8.25v-6.874h1.618V9.274H8.25v-.508c0-.377.058-.589.206-.745.138-.147.379-.221.726-.221.297 0 .607.025.818.05V6.114a15.652 15.652 0 0 0-1.24-.065c-.957 0-1.673.24-2.146.72-.473.48-.71 1.096-.71 1.849v.655H4.5Z"></path><path fill="#000" fill-rule="evenodd" d="M17.156 10.305V6.05H19.5v11.681h-2.228v-1.079h-.034c-.546.923-1.503 1.298-2.615 1.298-2.314 0-3.8-1.746-3.8-4.514 0-3.138 2.074-4.392 3.673-4.392 1.054 0 2.053.369 2.628 1.26h.032Zm-3.995 3.199c0 1.67.78 2.707 2.037 2.707 1.302 0 2.037-.977 2.037-2.707s-.735-2.707-2.037-2.707c-1.256 0-2.037 1.038-2.037 2.707Z" clip-rule="evenodd"></path></svg>`;
  }
};
l([
  n({ type: String, reflect: !0 })
], i.prototype, "size", 2);
l([
  n({ type: String, reflect: !0 })
], i.prototype, "class", 2);
i = l([
  a("icon-payment-first-direct")
], i);
export {
  i as IconPaymentFirstDirect
};
